Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_19
Class NotesLogWriter

    java.lang.Object
      |
      +--lotus.domino.NotesThread
            |
            +--djbuch.kapitel_19.NotesLogWriter

public class NotesLogWriter
extends lotus.domino.NotesThread

Baut eine eigene lokale Notes Session auf und schreibt in die spezifizierte Notesdatenbank den Inhalt eines LogFiles in ein neues eigenes Dokument.

Author:
  Thomas Ekert
See Also:
  Serialized Form

Method Summary
`void` | `runNotes()`
`static void` | `writeToDomino(java.lang.String dServer, java.lang.String db, java.lang.String server, java.lang.String user, java.lang.String pwd, java.lang.String fileName, java.lang.String replication)` Schreibt die mit fileName bezeichnete Datei in ein NotesDocument und hinterlegt zusätzlich Informationen über diesen Vorgang (Servername, Datum)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### writeToDomino

    public static void writeToDomino(java.lang.String dServer,
                                     java.lang.String db,
                                     java.lang.String server,
                                     java.lang.String user,
                                     java.lang.String pwd,
                                     java.lang.String fileName,
                                     java.lang.String replication)

  Schreibt die mit fileName bezeichnete Datei in ein NotesDocument und hinterlegt zusätzlich Informationen über diesen Vorgang (Servername, Datum)

  Parameters:
    `dServer` - - Domino Server, auf dem sich die DB befindet, in die geschrieben werden soll.
    `db` - - Datenbank, in die geschrieben werden soll.
    `server` - - DIIOP Server, mit dem (optional) die Verbindung aufgebaut werden soll - darf null sein, dann wird eine lokale Session aufgebaut
    `user` - - DIIOP User, über den die (optionale) IIOP Verbindung aufgebaut wird.
    `pwd` - - Passwort für lokale, bzw. IIOP Session
    `fileName` - - Dateiname der zu loggenden Datei.
    `replication` - - Zusätzlich wird ein Feld F_Replication=replication angelegt. Dies erleichtert eine Unterscheidung, welche Dokumente der Datenbank repliziert werden sollen.

### runNotes

    public void runNotes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD